.checkbox-wrapper {
    display: flex;
    gap: 10px;
    margin-bottom: 10px;
}

.switch {
    width: 40px;
    height: 24px;
    border: 1px solid var(--aside-c);
    border-radius: 88px;
    position: relative;
    cursor: pointer;
    padding: 0 3px;
}

.circle {
    width: 18px;
    height: 18px;
    background: var(--main-color);
    border-radius: 40px;
    position: absolute;
    top: 2px;
    left: 3px;
    transition: left 0.25s linear;
}

.checkbox-hidden:checked ~ .switch .circle {
    left: 18px;
    background-color: var(--aside-c-hover);
}

.dark .checkbox-wrapper .switch .circle {
    left: 18px;
    background-color: var(--aside-c-hover);
}

.light .checkbox-wrapper .switch .circle {
    left: 3px;
    background-color: var(--main-color);
}
